doctest-parallel-0.4: Test interactive Haskell examples

Safe Haskell | None
Language | Haskell2010

Test.DocTest.Internal.Property

Synopsis

- data PropertyResult
  - = Success
  - | Failure String
  - | Error String
- runProperty :: Interpreter -> Expression -> IO PropertyResult
- freeVariables :: Interpreter -> String -> IO [String]
- parseNotInScope :: String -> [String]

# Documentation

data PropertyResult Source #

The result of evaluating an interaction.

Constructors

Success |
Failure String |
Error String |

#### Instances

Instances details

Show PropertyResult Source # |
Instance details Defined in Test.DocTest.Internal.Property Methods showsPrec :: Int -> PropertyResult -> ShowS Source # show :: PropertyResult -> String Source # showList :: [PropertyResult] -> ShowS Source #
Eq PropertyResult Source # |
Instance details Defined in Test.DocTest.Internal.Property Methods (==) :: PropertyResult -> PropertyResult -> Bool Source # (/=) :: PropertyResult -> PropertyResult -> Bool Source #

runProperty :: Interpreter -> Expression -> IO PropertyResult Source #

freeVariables :: Interpreter -> String -> IO [String] Source #

Find all free variables in given term.

GHCi is used to detect free variables.

parseNotInScope :: String -> [String] Source #

Parse and return all variables that are not in scope from a ghc error message.